{% extends 'base.html.twig' %}

{% block title %}Mortgage Guide{% endblock %}

{% block body %}
    {{ form_start(guideForm) }}
    {{ form_widget(guideForm) }}
    <button type="submit" class="btn btn-info">Submit</button>
    {{ form_end(guideForm) }}

    <br><br>
    {% if soapResult is not null or restResult is not null or xlsxResult is not null%}
    <table class="table">
        <thead>
        <tr>
            <th> </th>
            <th>Úrok</th>
            <th>RPSN</th>
        </tr>
        </thead>
        {% if soapResult is not null %}
            <tr>
                <td>SOAP</td>
                <td>{{ soapResult.interest_rate }}</td>
                <td>{{ soapResult.rpsn }}</td>
            </tr>
        {% endif %}
        {% if restResult is not null %}
            <tr>
                <td>REST</td>
                <td>{{ restResult.intRate }}</td>
                <td>{{ restResult.rpsn }}</td>
            </tr>
        {% endif %}
        <tbody>
        {% if xlsxResult is not null %}
            <tr>
                <td>XLSX</td>

                <td>{{ xlsxResult['interestRate'] }}</td>
                <td>{{ xlsxResult['rpsn'] }}</td>
            </tr>
        {% endif %}
        </tbody>
    {% endif %}
    </table>





{% endblock %}
